<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:15 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
ClientContext (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ClientContext (HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ClientContext.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/client/protocol/ClientContextConfigurer.html" title="class in org.apache.http.client.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/client/protocol/ClientContext.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ClientContext.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.client.protocol</FONT>
<BR>
Interface ClientContext</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../org/apache/http/client/protocol/ClientContextConfigurer.html" title="class in org.apache.http.client.protocol">ClientContextConfigurer</A>, <A HREF="../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <B>ClientContext</B></DL>
</PRE>

<P>
<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>HttpContext</CODE></A> attribute names for
 client side HTTP protocol processing.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#AUTH_CACHE">AUTH_CACHE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/client/AuthCache.html" title="interface in org.apache.http.client"><CODE>AuthCache</CODE></A> object
 that represents the auth scheme cache.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#AUTH_SCHEME_PREF">AUTH_SCHEME_PREF</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1)  do not use</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#AUTHSCHEME_REGISTRY">AUTHSCHEME_REGISTRY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http"><CODE>Lookup</CODE></A> object that represents
 the actual <A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth"><CODE>AuthSchemeProvider</CODE></A> registry.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#COOKIE_ORIGIN">COOKIE_ORIGIN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie"><CODE>CookieOrigin</CODE></A>
 object that represents the actual details of the origin server.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#COOKIE_SPEC">COOKIE_SPEC</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/cookie/CookieSpec.html" title="interface in org.apache.http.cookie"><CODE>CookieSpec</CODE></A>
 object that represents the actual cookie specification.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#COOKIE_STORE">COOKIE_STORE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/client/CookieStore.html" title="interface in org.apache.http.client"><CODE>CookieStore</CODE></A>
 object that represents the actual cookie store.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#COOKIESPEC_REGISTRY">COOKIESPEC_REGISTRY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http"><CODE>Lookup</CODE></A> object that represents
 the actual <A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie"><CODE>CookieSpecProvider</CODE></A> registry.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#CREDS_PROVIDER">CREDS_PROVIDER</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/client/CredentialsProvider.html" title="interface in org.apache.http.client"><CODE>CredentialsProvider</CODE></A>
 object that represents the actual credentials provider.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#PROXY_AUTH_STATE">PROXY_AUTH_STATE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth"><CODE>AuthState</CODE></A>
 object that represents the actual proxy authentication state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#REQUEST_CONFIG">REQUEST_CONFIG</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/client/config/RequestConfig.html" title="class in org.apache.http.client.config"><CODE>RequestConfig</CODE></A> object that
 represents the actual request configuration.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#ROUTE">ROUTE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/conn/routing/RouteInfo.html" title="interface in org.apache.http.conn.routing"><CODE>RouteInfo</CODE></A>
 object that represents the actual connection route.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#SCHEME_REGISTRY">SCHEME_REGISTRY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) do not use</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#SOCKET_FACTORY_REGISTRY">SOCKET_FACTORY_REGISTRY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http"><CODE>Lookup</CODE></A> object that represents
 the actual <A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket"><CODE>ConnectionSocketFactory</CODE></A> registry.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#TARGET_AUTH_STATE">TARGET_AUTH_STATE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth"><CODE>AuthState</CODE></A>
 object that represents the actual target authentication state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/client/protocol/ClientContext.html#USER_TOKEN">USER_TOKEN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attribute name of a <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><CODE>Object</CODE></A> object that represents
 the actual user identity such as user <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/Principal.html?is-external=true" title="class or interface in java.security"><CODE>Principal</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ROUTE"><!-- --></A><H3>
ROUTE</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>ROUTE</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/conn/routing/RouteInfo.html" title="interface in org.apache.http.conn.routing"><CODE>RouteInfo</CODE></A>
 object that represents the actual connection route.
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.3</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.ROUTE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SCHEME_REGISTRY"><!-- --></A><H3>
SCHEME_REGISTRY</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SCHEME_REGISTRY</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) do not use</I><DD>Attribute name of a <A HREF="../../../../../org/apache/http/conn/scheme/Scheme.html" title="class in org.apache.http.conn.scheme"><CODE>Scheme</CODE></A>
 object that represents the actual protocol scheme registry.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.SCHEME_REGISTRY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="COOKIESPEC_REGISTRY"><!-- --></A><H3>
COOKIESPEC_REGISTRY</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>COOKIESPEC_REGISTRY</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http"><CODE>Lookup</CODE></A> object that represents
 the actual <A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie"><CODE>CookieSpecProvider</CODE></A> registry.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.COOKIESPEC_REGISTRY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="COOKIE_SPEC"><!-- --></A><H3>
COOKIE_SPEC</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>COOKIE_SPEC</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/cookie/CookieSpec.html" title="interface in org.apache.http.cookie"><CODE>CookieSpec</CODE></A>
 object that represents the actual cookie specification.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.COOKIE_SPEC">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="COOKIE_ORIGIN"><!-- --></A><H3>
COOKIE_ORIGIN</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>COOKIE_ORIGIN</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie"><CODE>CookieOrigin</CODE></A>
 object that represents the actual details of the origin server.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.COOKIE_ORIGIN">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="COOKIE_STORE"><!-- --></A><H3>
COOKIE_STORE</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>COOKIE_STORE</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/client/CookieStore.html" title="interface in org.apache.http.client"><CODE>CookieStore</CODE></A>
 object that represents the actual cookie store.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.COOKIE_STORE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="CREDS_PROVIDER"><!-- --></A><H3>
CREDS_PROVIDER</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>CREDS_PROVIDER</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/client/CredentialsProvider.html" title="interface in org.apache.http.client"><CODE>CredentialsProvider</CODE></A>
 object that represents the actual credentials provider.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.CREDS_PROVIDER">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="AUTH_CACHE"><!-- --></A><H3>
AUTH_CACHE</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>AUTH_CACHE</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/client/AuthCache.html" title="interface in org.apache.http.client"><CODE>AuthCache</CODE></A> object
 that represents the auth scheme cache.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.AUTH_CACHE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="TARGET_AUTH_STATE"><!-- --></A><H3>
TARGET_AUTH_STATE</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>TARGET_AUTH_STATE</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth"><CODE>AuthState</CODE></A>
 object that represents the actual target authentication state.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.TARGET_AUTH_STATE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="PROXY_AUTH_STATE"><!-- --></A><H3>
PROXY_AUTH_STATE</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>PROXY_AUTH_STATE</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth"><CODE>AuthState</CODE></A>
 object that represents the actual proxy authentication state.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.PROXY_AUTH_STATE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="AUTH_SCHEME_PREF"><!-- --></A><H3>
AUTH_SCHEME_PREF</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>AUTH_SCHEME_PREF</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1)  do not use</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.AUTH_SCHEME_PREF">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="USER_TOKEN"><!-- --></A><H3>
USER_TOKEN</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>USER_TOKEN</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><CODE>Object</CODE></A> object that represents
 the actual user identity such as user <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/Principal.html?is-external=true" title="class or interface in java.security"><CODE>Principal</CODE></A>.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.USER_TOKEN">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="AUTHSCHEME_REGISTRY"><!-- --></A><H3>
AUTHSCHEME_REGISTRY</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>AUTHSCHEME_REGISTRY</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http"><CODE>Lookup</CODE></A> object that represents
 the actual <A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth"><CODE>AuthSchemeProvider</CODE></A> registry.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.AUTHSCHEME_REGISTRY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SOCKET_FACTORY_REGISTRY"><!-- --></A><H3>
SOCKET_FACTORY_REGISTRY</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SOCKET_FACTORY_REGISTRY</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http"><CODE>Lookup</CODE></A> object that represents
 the actual <A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket"><CODE>ConnectionSocketFactory</CODE></A> registry.
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.3</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.SOCKET_FACTORY_REGISTRY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="REQUEST_CONFIG"><!-- --></A><H3>
REQUEST_CONFIG</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>REQUEST_CONFIG</B></PRE>
<DL>
<DD>Attribute name of a <A HREF="../../../../../org/apache/http/client/config/RequestConfig.html" title="class in org.apache.http.client.config"><CODE>RequestConfig</CODE></A> object that
 represents the actual request configuration.
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.3</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.http.client.protocol.ClientContext.REQUEST_CONFIG">Constant Field Values</A></DL>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ClientContext.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/client/protocol/ClientContextConfigurer.html" title="class in org.apache.http.client.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/client/protocol/ClientContext.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ClientContext.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
